> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-67bc7bf8.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 招待を作成

> 組織招待を作成します。



## OpenAPI

````yaml /ja/_specs/cloud-openapi.json post /v1/organizations/{organizationId}/invitations
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/invitations:
    post:
      tags:
        - User management
      summary: 招待を作成
      description: 組織招待を作成します。
      parameters:
        - description: ユーザーの招待先となる組織のID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvitationPostRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意のID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/Invitation'
                  status:
                    description: HTTPステータスコード。
                    example: 200
                    type: number
                type: object
          description: 正常なレスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: errorの詳細な説明。
                    type: string
                  status:
                    description: HTTPステータスコード。
                    example: 400
                    type: number
                type: object
          description: クライアントエラーと見なされる何らかの理由により、serverがリクエストを処理できないか、処理しません。
components:
  schemas:
    InvitationPostRequest:
      properties:
        email:
          description: >-
            招待されたユーザーのメールアドレス。このメールアドレスを持つユーザーのみが招待を使用して参加できます。メールアドレスは小文字で保存されます。
          format: email
          type: string
        role:
          description: 組織におけるメンバーのロール。
          enum:
            - admin
            - developer
          type: string
    Invitation:
      properties:
        createdAt:
          description: 招待の作成タイムスタンプ。ISO-8601。
          format: date-time
          type: string
        email:
          description: >-
            招待されたユーザーのメールアドレス。このメールアドレスを持つユーザーのみが、この招待を使用して参加できます。メールアドレスは小文字で保存されます。
          format: email
          type: string
        expireAt:
          description: 招待の有効期限タイムスタンプ。ISO-8601。
          format: date-time
          type: string
        id:
          description: 一意の招待 ID。
          format: uuid
          type: string
        role:
          description: 組織におけるメンバーのロール。
          enum:
            - admin
            - developer
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud console で取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````